FROM python:3.12.7
LABEL org.opencontainers.image.source="https://gitlab.com/amdap/adjunct/diagrams"

## Debian package versioning
# renovate: datasource=repology depName=debian_12/graphviz versioning=loose
ENV GRAPHVIZ_VERSION="2.42.2-7+deb12u1"

# renovate: datasource=repology depName=python/diagrams versioning=loose
ENV DIAGRAMS_VERSION="0.23.3"

RUN pip install --no-cache-dir diagrams=="${DIAGRAMS_VERSION}"

RUN apt-get update && \
    apt-get install --assume-yes --no-install-recommends graphviz="${GRAPHVIZ_VERSION}" && \
    rm -rf /var/lib/apt/lists/*
